#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: PostgreSQL
# DESCRIPTION: Relational database
# WWW: http://www.postgresql.org/

service daemon/postgres/initdb {
        need = system/bootmisc;
        env PGDATA=/var/lib/postgresql/data;
        env PGUSER=postgres;
        env PGGROUP=postgres;
        script start = {
            if [ ! -f ${PGDATA}/PG_VERSION ]
            then
                if [ ! -d ${PGDATA} ]
                then
                    /bin/mkdir -p ${PGDATA}
                    chown ${PGUSER}.${PGGROUP} ${PGDATA}
                    chmod go-rwx ${PGDATA}
                fi
                # Initialize the database
                su - ${PGUSER} -c "/usr/bin/initdb --pgdata=${PGDATA} > /dev/null 2>&1" < /dev/null

                exec test -f ${PGDATA}/PG_VERSION
            fi
        };
}

daemon daemon/postgres {
        need = system/bootmisc;
        use = daemon/postgres/initdb;

        env PGDATA=/var/lib/postgresql/data;
        env PGUSER=postgres;
        env PGGROUP=postgres;
        env PGLOG=${PGDATA}/postgresql.log;
        env PGOPTS=-p5432;

        suid = ${PGUSER};
        sgid = ${PGGROUP};
        pid_file = ${PGDATA}/postmaster.pid;
        script daemon = {
                /usr/bin/pg_ctl -p/usr/bin/postmaster -D"${PGDATA}" -s -l"${PGLOG}" -o"${PGOPTS}" start
};
        exec kill = /usr/bin/pg_ctl -D${PGDATA} -s -m fast stop;
        forks;
}
